StringUtils (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util, class: StringUtils

Package org.apache.tools.ant.util

# Class StringUtils

java.lang.Object
org.apache.tools.ant.util.StringUtils

public final class StringUtils extends Object
A set of helper methods related to string manipulation.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `LINE_SEP`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `endsWith(StringBuffer buffer, String suffix)`
  Checks that a string buffer ends up with a given string.
  `static String`
  `getStackTrace(Throwable t)`
  Convenient method to retrieve the full stacktrace from a given exception.
  `static String`
  `join(Object[] array, CharSequence separator)`
  Joins the string representation of the elements of an array to a joined string with a given separator.
  `static String`
  `join(Collection<?> collection, CharSequence separator)`
  Joins the string representation of the elements of a collection to a joined string with a given separator.
  `static Vector<String>`
  `lineSplit(String data)`
  Splits up a string into a list of lines.
  `static long`
  `parseHumanSizes(String humanSize)`
  Takes a human readable size representation eg 10K a long value.
  `static String`
  `removePrefix(String string, String prefix)`
  Removes the prefix from a given string, if the string contains that prefix.
  `static String`
  `removeSuffix(String string, String suffix)`
  Removes the suffix from a given string, if the string contains that suffix.
  `static String`
  `replace(String data, String from, String to)`
  Deprecated.
  Use `String.replace(CharSequence, CharSequence)` now.
  `static String`
  `resolveBackSlash(String input)`
  xml does not do "c" like interpretation of strings.
  `static Vector<String>`
  `split(String data, int ch)`
  Splits up a string where elements are separated by a specific character and return all elements.
  `static String`
  `trimToNull(String inputString)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LINE_SEP

    @Deprecated public static final String LINE_SEP
    Deprecated.
    the line separator for this OS

- ## Method Details

  - ### lineSplit

    public static Vector<String> lineSplit(String data)
    Splits up a string into a list of lines. It is equivalent to `split(data, '\n')`.
    Parameters:
      `data` - the string to split up into lines.
    Returns:
      the list of lines available in the string.

  - ### split

    public static Vector<String> split(String data, int ch)
    Splits up a string where elements are separated by a specific character and return all elements.
    Parameters:
      `data` - the string to split up.
      `ch` - the separator character.
    Returns:
      the list of elements.

  - ### replace

    @Deprecated public static String replace(String data, String from, String to)
    Deprecated.
    Use `String.replace(CharSequence, CharSequence)` now.
    Replace occurrences into a string.
    Parameters:
      `data` - the string to replace occurrences into
      `from` - the occurrence to replace.
      `to` - the occurrence to be used as a replacement.
    Returns:
      the new string with replaced occurrences.

  - ### getStackTrace

    public static String getStackTrace(Throwable t)
    Convenient method to retrieve the full stacktrace from a given exception.
    Parameters:
      `t` - the exception to get the stacktrace from.
    Returns:
      the stacktrace from the given exception.

  - ### endsWith

    public static boolean endsWith(StringBuffer buffer, String suffix)
    Checks that a string buffer ends up with a given string. It may sound trivial with the existing JDK API but the various implementation among JDKs can make those methods extremely resource intensive and perform poorly due to massive memory allocation and copying. See
    Parameters:
      `buffer` - the buffer to perform the check on
      `suffix` - the suffix
    Returns:
      `true` if the character sequence represented by the argument is a suffix of the character sequence represented by the StringBuffer object; `false` otherwise. Note that the result will be `true` if the argument is the empty string.

  - ### resolveBackSlash

    public static String resolveBackSlash(String input)
    xml does not do "c" like interpretation of strings. i.e. \n\r\t etc. this method processes \n, \r, \t, \f, \\ also subs \s -> " \n\r\t\f" a trailing '\' will be ignored
    Parameters:
      `input` - raw string with possible embedded '\'s
    Returns:
      converted string
    Since:
      Ant 1.7

  - ### parseHumanSizes

    public static long parseHumanSizes(String humanSize) throws Exception
    Takes a human readable size representation eg 10K a long value. Doesn't support 1.1K or other rational values.
    Parameters:
      `humanSize` - the amount as a human readable string.
    Returns:
      a long value representation
    Throws:
      `Exception` - if there is a problem.
    Since:
      Ant 1.7

  - ### removeSuffix

    public static String removeSuffix(String string, String suffix)
    Removes the suffix from a given string, if the string contains that suffix.
    Parameters:
      `string` - String for check
      `suffix` - Suffix to remove
    Returns:
      the string with the suffix

  - ### removePrefix

    public static String removePrefix(String string, String prefix)
    Removes the prefix from a given string, if the string contains that prefix.
    Parameters:
      `string` - String for check
      `prefix` - Prefix to remove
    Returns:
      the string with the prefix

  - ### join

    public static String join(Collection<?> collection, CharSequence separator)
    Joins the string representation of the elements of a collection to a joined string with a given separator.
    Parameters:
      `collection` - Collection of the data to be joined (may be null)
      `separator` - Separator between elements (may be null)
    Returns:
      the joined string

  - ### join

    public static String join(Object[] array, CharSequence separator)
    Joins the string representation of the elements of an array to a joined string with a given separator.
    Parameters:
      `array` - Array of the data to be joined (may be null)
      `separator` - Separator between elements (may be null)
    Returns:
      the joined string

  - ### trimToNull

    public static String trimToNull(String inputString)
    Parameters:
      `inputString` - String to trim
    Returns:
      null if the input string is null or empty or contain only empty spaces. It returns the input string without leading and trailing spaces otherwise.